### Virtual Method

# EDataServer Source remove_sync

since: 3.6

#### Declaration [src]

    gboolean
    remove_sync (
      ESource* source,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Requests the D-Bus service to delete the key files for `source` and all of its descendants and broadcast their removal to all clients. The `source` must be `ESource:removable`.

If an error occurs, the functon will set `error` and return `FALSE`.

Available since: 3.6

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.